# EventSslContext::__construct

(PECL event >= 1.2.6-beta)

EventSslContext::__construct — Construit un contexte OpenSSL à utiliser avec les classes Event

### Description

public EventSslContext::__construct( string `$method` , string `$options` )

Crée un contexte SSL contenant le pointeur vers `SSL_CTX` (voir le manuel système).

### Liste de paramètres

`method`

  Une des constantes `EventSslContext::*_METHOD`.

`options`

  Un tableau associatif d'options de contexte SSL. Une des constantes `EventSslContext::OPT_*`.

### Exemples

Exemple #1 Exemple avec EventSslContext::__construct()

`<?php
$ctx = new EventSslContext(EventSslContext::SSLv3_SERVER_METHOD, array(
EventSslContext::OPT_LOCAL_CERT => $local_cert,
EventSslContext::OPT_LOCAL_PK => $local_pk,
EventSslContext::OPT_PASSPHRASE => "echo server",
EventSslContext::OPT_VERIFY_PEER => true,
EventSslContext::OPT_ALLOW_SELF_SIGNED => false,
));
?>`